## disk_initialize

The disk_initialize function is called to initializes the storage device.

    DSTATUS disk_initialize (
      BYTE pdrv           /* [IN] Physical drive number */
    );

#### Parameter

pdrv
  Physical drive number to identify the target device. Always zero at single drive system.

#### Return Values

This function returns the current drive status flags as the result. For details of the drive status, refer to the disk_status function.

#### Description

This function initializes the storage device and put it ready to generic read/write. When the function succeeded, `STA_NOINIT` flag in the return value is cleared.

Remarks: This function needs to be under control of FatFs module. Application program MUST NOT call this function, or FAT structure on the volume can be broken. To re-initialize the filesystem, use `f_mount` function instead.

Return